Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159365 - ldapserver fails to build with gcc4
Summary: ldapserver fails to build with gcc4
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Database - General
Version: 7.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nathan Kinder
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-01 23:08 UTC by Brian Stevens
Modified: 2015-12-07 17:15 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-07 17:15:09 UTC


Attachments (Terms of Use)
patch for gcc4 (deleted)
2005-06-01 23:08 UTC, Christopher Blizzard
no flags Details

Description Christopher Blizzard 2005-06-01 23:08:52 UTC
Very minor problems, patch attached.  Don't know how to test for an older gcc
that does accept -fwritable-strings, though.

Comment 1 Christopher Blizzard 2005-06-01 23:08:52 UTC
Created attachment 115069 [details]
patch for gcc4

Comment 3 Rich Megginson 2005-12-01 17:02:15 UTC
We have patch files for the components that need them.  The instructions on the
building page have been updated - http://directory.fedora.redhat.com/Building
In addition, if you use the dsbuild script, it applies the patches automatically
- http://directory.fedora.redhat.com/sources/dsbuild-fds10.tar.gz

Builds and runs on Fedora Core 4 using gcc4.


Comment 4 Red Hat Bugzilla 2007-10-22 00:43:27 UTC
User blizzard@redhat.com's account has been closed

Comment 5 Anh Nguyen 2007-11-27 17:15:05 UTC
Reviewed and changed QA Whiteboard to to_be_verified_by_del

Comment 6 Nathan Kinder 2007-11-27 17:38:12 UTC
We are building regularly on platforms that use gcc4.  Marking as verified.


Note You need to log in before you can comment on or make changes to this bug.